Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDropTarget

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractDropTarget
                  org.richfaces.component.UIDropTarget

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class UIDropTarget

extends AbstractDropTarget
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:dropTarget> component can be added to a component so that the component can accept dragged items. The dragged items must be defined with a compatible drop type for the <rich:dragSource> component.

Author:
  abelevich

Nested Class Summary
`protected static class` | `UIDropTarget.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIDropTarget()`

Method Summary
`Object` | `getAcceptedTypes()` A list of drag zones types, which elements are accepted by a drop zone
`Object` | `getData()`
`String` | `getDefaultEventName()`
`javax.el.MethodExpression` | `getDropListener()`
`Object` | `getDropValue()` Data to be processed after a drop event
`Collection<String>` | `getEventNames()`
`Object` | `getExecute()`
`String` | `getFamily()`
`String` | `getOnbeforedomupdate()`
`String` | `getOnbegin()`
`String` | `getOncomplete()`
`Object` | `getRender()`
`String` | `getStatus()`
`boolean` | `isBypassUpdates()`
`boolean` | `isImmediate()`
`boolean` | `isLimitRender()`
`void` | `setAcceptedTypes(Object acceptedTypes)`
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setData(Object data)`
`void` | `setDropListener(javax.el.MethodExpression dropListener)`
`void` | `setDropValue(Object dropValue)`
`void` | `setExecute(Object execute)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setRender(Object render)`
`void` | `setStatus(String status)`

Methods inherited from class org.richfaces.component.AbstractDropTarget
`addDropListener, broadcast, getDropListeners, queueEvent, removeDropListener`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDropTarget

    public UIDropTarget()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAcceptedTypes

    public Object getAcceptedTypes()

  Description copied from class: `AbstractDropTarget`
  A list of drag zones types, which elements are accepted by a drop zone

  Specified by:
    `getAcceptedTypes` in class `AbstractDropTarget`

### setAcceptedTypes

    public void setAcceptedTypes(Object acceptedTypes)

### isBypassUpdates

    public boolean isBypassUpdates()

  Specified by:
    `isBypassUpdates` in class `AbstractDropTarget`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

### getData

    public Object getData()

  Specified by:
    `getData` in class `AbstractDropTarget`

### setData

    public void setData(Object data)

### getDropListener

    public javax.el.MethodExpression getDropListener()

### setDropListener

    public void setDropListener(javax.el.MethodExpression dropListener)

### getDropValue

    public Object getDropValue()

  Description copied from class: `AbstractDropTarget`
  Data to be processed after a drop event

  Specified by:
    `getDropValue` in class `AbstractDropTarget`

### setDropValue

    public void setDropValue(Object dropValue)

### getExecute

    public Object getExecute()

  Specified by:
    `getExecute` in class `AbstractDropTarget`

### setExecute

    public void setExecute(Object execute)

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in class `AbstractDropTarget`

### setImmediate

    public void setImmediate(boolean immediate)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in class `AbstractDropTarget`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in class `AbstractDropTarget`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbegin

    public String getOnbegin()

  Specified by:
    `getOnbegin` in class `AbstractDropTarget`

### setOnbegin

    public void setOnbegin(String onbegin)

### getOncomplete

    public String getOncomplete()

  Specified by:
    `getOncomplete` in class `AbstractDropTarget`

### setOncomplete

    public void setOncomplete(String oncomplete)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in class `AbstractDropTarget`

### setRender

    public void setRender(Object render)

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in class `AbstractDropTarget`

### setStatus

    public void setStatus(String status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.